Bug 1299533 - Review Request: perl-App-Cme - Check or edit configuration data with Config::Model
Review Request: perl-App-Cme - Check or edit configuration data with Config::...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1290794
  Show dependency treegraph
 
Reported: 2016-01-18 10:27 EST by Jitka Plesnikova
Modified: 2016-01-20 09:49 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-App-Cme-1.009-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 09:49:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2016-01-18 10:27:02 EST
Spec URL: https://jplesnik.fedorapeople.org/perl-App-Cme/perl-App-Cme.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-App-Cme/perl-App-Cme-1.009-1.fc24.src.rpm
Description:
cme and Config::Model are quite modular. The configuration data that
you can edit depend on the other Config::Model distributions installed
on your system.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Šabata 2016-01-19 11:00:46 EST
* Missing buildtime dependencies:
  - coreutils, used in the SPEC file, line 65
  - sed, used in the SPEC file, line 54

* You only need Config::Model 2.063 for build; 2.068 is required by the update
  command which isn't tested.

* Config::Model::FuseUI could be a recommended runtime dependency.

* You might want to filter out that `perl(Config::Model) >= 2.063' runtime
  dependency.
Comment 3 Petr Šabata 2016-01-20 06:43:37 EST
All four points addressed.  Approving.
Comment 4 Gwyn Ciesla 2016-01-20 09:21:37 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-App-Cme
Comment 5 Jitka Plesnikova 2016-01-20 09:49:24 EST
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.